Subject: RE: [Sigtran] SUA/M3UA/M2UA/IUA Plugtest comments - Day 1

From: Tolga Asveren <[email-masked]>
Date: Mon, 4 Nov 2002 13:12:01 -0500

Some comments below.....

   Tolga

> -----Original Message-----
> From: Ken Morneault [mailto:[email-masked]]
> Sent: Monday, November 04, 2002 12:17 PM
> To: [email-masked]
> Subject: [Sigtran] SUA/M3UA/M2UA/IUA Plugtest comments - Day 1
> 
> 
> 
> 
> Below is a summary of issues / comments raised during the first
> day of testing at the plugtest:
> 
> General Issues (apply to SUA/M3UA/M2UA/IUA)
> --------------------------------------------------------------
> ---------
> 
> 1.  Do SGPs share AS state?  Example:  An ASP is Active to two SGPs.  
> If ASP sends ASPIA to one of the SGPs, does the SGP send ASPIA Ack 
> followed by NTFY (AS-Pending) or just ASPIA Ack (since the other SGP
> has AS state as Active).
[TOLGA] I think this is quite obvious. AS state machine is per SGP, so
NTFY(AS-Pending) is the expected behaviour according to RFC3332.
> 
> 2.  There is an inconsistency between IUA/M2UA and M3UA/SUA 
> related to whether multiple Interface Identifier/Routing Context 
> (respectively) parameters are allowed in a message.  In IUA/M2UA, the 
> message diagrams allow multiple Interface Identifier 
> parameters (there 
> is no text in the docs that discusses this however).  
> M3UA/SUA contain 
> no text related to whether or not this is allowed and there 
> are no diagrams 
> indicating multiple Routing Context parameters in a message.
[TOLGA] Whenever multiple RC is allowed in a message, for M3UA it is
indicated. For example for DUNA( RFC3332 3.4.1) one can have multiple RC and
so its length is n*32 bits(also in the message layout, the length field does
not contain 8 and is left empty, for such a case)
> 
> 3.  No text that covers the follow case:  ASP is UP and has Registered
> a Routing Key (or Link Key).  If ASP then sends ASPUP message again,
> should SGP transition state back to Inactive, Un-registered?  
[TOLGA] I think the follwoing might be interpreted covering also this
situation:
last paragraph of 4.3.4.1 ASP Up Procedures:
"If an ASP Up message is received and internally the remote ASP is already
in the ASP-INACTIVE state, an ASP UpAck message is returned and no further
action is taken."
According to that I would expect that SGP puts ASP to ASP-Inactive state.
> 
> M3UA specific
> ----------------------
> 
> 1.  Question about which combinations of parameters are 
> allowed in Registration
> Request.  
[TOLGA] I think this is implemantation dependent. M3UA does not put
restrictions to the type of route keys(SSN is not supported for dynamic
registration but IMO it should be there. I think, leaving the decision
whether SSN based route key will be supported by a SGP/ASP or not as
implementation detail is a better approach)
> 
> Ken & Lode
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Tue, 05 Nov 2002 17:44:22 -0500

Pls see comments below.

Ken

>NTFY(AS-Pending) is the expected behaviour according to RFC3332.

[KAM] agreed

>not contain 8 and is left empty, for such a case)

[KAM] the issue was not whether or not multiple RCs can be contained
in a message, it was whether multiple "RC parameters" can be
contained in a message.

>According to that I would expect that SGP puts ASP to ASP-Inactive state.

[KAM] the issue was does the SGP also consider the Registered Routing Key
as Deregistered.

>implementation detail is a better approach)

[KAM]  more specifics about this general concern in Day 2 comments.